AFSLOG(1)

NAME
afslog - obtain AFS tokens

SYNOPSIS
afslog [-c cell --cell=cell] [-p path --file=path] [-k realm --realm=realm] [--no-v4] [--no-v5] [-u | --unlog] [-v | --verbose] [--version] [-h | --help] [cell | path ...]

DESCRIPTION
afslog obtains AFS tokens for a number of cells. What cells to get tokens for can either be specified as an explicit list, as file paths to get tokens for, or be left unspecified, in which case afslog will use whatever magic krb_afslog(3) decides upon.

Supported options:

    -c cell, --cell=cell This specified one or more cell names to get tokens for.

    -p path, --file=path This specified one or more file paths for which tokens should be obtained.

    -k realm, --realm=realm This is the Kerberos realm the AFS servers live in, this should normally not be specified.

--no-v4
    This makes afslog not try using Kerberos 4.

--no-v5
    This makes afslog not try using Kerberos 5.

    -u, --unlog Destroy tokens instead of obtaining new. If this is specified, all other options are ignored (except for --help and --version).

    -v, --verbose Adds more verbosity for what is actually going on.
Instead of using -c and -p, you may also pass a list of cells and file paths after any other options. These arguments are considered files if they are either the strings “.” or “..” or they contain a slash, or if there exists a file by that name.

EXAMPLES
Assuming that there is no file called “openafs.org” in the current directory, and that /afs/openafs.org points to that cell, the follwing should be identical:

    $ afslog -c openafs.org
    $ afslog openafs.org
    $ afslog /afs/openafs.org/some/file

SEE ALSO
krb_afslog(3)